summaryrefslogtreecommitdiffstats
path: root/gobject/run-live-tests
diff options
context:
space:
mode:
authorHilko Bengen <bengen@hilluzination.de>2012-05-23 22:51:31 +0200
committerHilko Bengen <bengen@debian.org>2012-05-28 20:01:47 +0200
commit3893dc0b9436ebb4dd620c6ca9b1d038eacf83a6 (patch)
tree1a56177a164ec2925ceb6fe68ded42ae13753d9b /gobject/run-live-tests
parent148e8068267bcf9ce8ff3a5062747998f960619d (diff)
downloadlibguestfs-3893dc0b9436ebb4dd620c6ca9b1d038eacf83a6.tar.gz
libguestfs-3893dc0b9436ebb4dd620c6ca9b1d038eacf83a6.tar.xz
libguestfs-3893dc0b9436ebb4dd620c6ca9b1d038eacf83a6.zip
Split off GObject tests that require an appliance
Diffstat (limited to 'gobject/run-live-tests')
-rwxr-xr-xgobject/run-live-tests26
1 files changed, 26 insertions, 0 deletions
diff --git a/gobject/run-live-tests b/gobject/run-live-tests
new file mode 100755
index 00000000..11e8f7b0
--- /dev/null
+++ b/gobject/run-live-tests
@@ -0,0 +1,26 @@
+#!/bin/sh -
+# libguestfs GObject bindings
+# Copyright (C) 2012 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+if [ -z "$GJS" ]; then
+ echo "GObject bind tests skipped: gjs is missing"
+ exit 0
+fi
+
+../run $GJS $srcdir/tests-misc.js 2>/dev/null